<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFile Method (IEdmBatchChangeState)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState Interface : AddFile Method (IEdmBatchChangeState)

Visual Basic
C#
C++/CLI

lFileID
  ID of file whose state you want to change or whose transition you want to revoke

lFolderID
  ID of file's folder

Adds a file to this batch of files whose states you want to change or whose transitions you want to revoke.

# Syntax

Visual Basic |
--- | ---

    Sub AddFile( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer _
    )

C# |
--- | ---

    void AddFile(
       System.int lFileID,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    void AddFile(
    &   System.int lFileID,
    &   System.int lFolderID
    )

#### Parameters

lFileID
  ID of file whose state you want to change or whose transition you want to revoke
lFolderID
  ID of file's folder

# Example

See the IEdmBatchChangeState4 examples.

# Remarks

After calling this method, call IEdmBatchChangeState::ChangeState to actually change the state of the file or revoke its transition.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState Interface
IEdmBatchChangeState Members

# Availability

SOLIDWORKS PDM Professional 2009